﻿using HealthMonitor.Model.Cache;
using Microsoft.Extensions.Logging;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HealthMonitor.Service.Cache
{
    public class FetalMovementNormalValueRangeCacheManager
    {
        private readonly ILogger<FetalMovementNormalValueRange> _logger;
        public FetalMovementNormalValueRangeCacheManager(ILogger<FetalMovementNormalValueRange> logger)
        {
            _logger = logger;
        }

        public List<FetalMovementNormalValueRange> GetFetalMovements()
        {
            return new List<FetalMovementNormalValueRange>
            {
                new (new int[] {12, 20}, new int[] {1, 3}, new int[] {10, 30}, 2, 1, "初次感觉到胎动"),
                new (new int[] {21, 24}, new int[] {2, 4}, new int[] {20, 40}, 3, 2, "胎动逐渐增强"),
                new (new int[] {25, 28}, new int[] {3, 5}, new int[] {30, 50}, 4, 3, "胎动更加明显"),
                new (new int[] {29, 32}, new int[] {6, 8}, new int[] {60, 80}, 7, 6, "胎动达到高峰"),
                new (new int[] {33, 36}, new int[] {5, 7}, new int[] {50, 70}, 6, 5, "胎动频繁且有力"),
                new (new int[] {37, 40}, new int[] {3, 5}, new int[] {30, 50}, 4, 3, "胎动可能因空间减少而减少"),
                new (new int[] {41, 50}, new int[] {2, 4}, new int[] {20, 40}, 3, 2, "减少，但因人而异。胎儿入盆，空间受限")
            };
        }
    }
}
